Name: kometa-std-desktop
Version: 1.9
Release: kometa1

Summary: Kometa default desktop settings
Summary(ru_RU.UTF-8): Начальные настройки пользователя Кометы

License: GPLv3
Group: System/Configuration/Other
Url: http://oskometa.ru
BuildArch: noarch
Requires: xmlstarlet
Requires: /usr/bin/xml_grep
Source: %name-%version.tar

%description
Standart files on Desktop and kometa icons, ovewrite basealt logo
Default settings for applications

%description -l ru_RU.UTF-8
Файлы по умолчанию для Рабочего стола Кометы, настройка приложений и настройка иконок.
Файловый триггер используется, чтобы не создавалось ошибочного впечателния, что Комета - продукт компании Базальт.
Все изображения логотипа затираются и используются изображения логотипа Комета.

%prep
%setup -n %name-%version/kometa-std-desktop

%install
%define skeldir "/etc/skel"
%define skelconfigdir "/etc/skel/.config"
%define skellocalsharedir "/etc/skel/.local/share"
%define skeldesktopdir "/etc/skel/Рабочий стол"
%define ftdir "/usr/lib/rpm"
%define aptdir "/etc/apt/sources.list.d"

mkdir -p %buildroot%skelconfigdir
mkdir -p %buildroot%skelconfigdir/inkscape
mkdir -p %buildroot%skelconfigdir/chromium/Default
mkdir -p %buildroot%skelconfigdir/libreoffice/4/user
mkdir -p %buildroot%skellocalsharedir/OpenBoard
mkdir -p %buildroot%skeldesktopdir
mkdir -p %buildroot%ftdir
mkdir -p %buildroot%aptdir

install -pm644 inkscape.xml %buildroot%skelconfigdir/inkscape/preferences.xml
install -pm644 chromium.json %buildroot%skelconfigdir/chromium/Default/Preferences
install -pm644 libreoffice.xcu %buildroot%skelconfigdir/libreoffice/4/user/registrymodifications.xcu
install -pm644 OpenBoardUser.config %buildroot%skellocalsharedir/OpenBoard
install -pm644 Home.desktop %buildroot%skeldesktopdir
install -pm644 trash.desktop %buildroot%skeldesktopdir
install -pm644 Документ.ott %buildroot%skeldesktopdir
install -pm644 Таблица.ots %buildroot%skeldesktopdir
install -pm644 Презентация.otp %buildroot%skeldesktopdir
install -pm755 brandicons.filetrigger %buildroot%ftdir
install -pm755 previewplugins.filetrigger %buildroot%ftdir
install -pm755 PlasmaFavorites.filetrigger %buildroot%ftdir
install -pm644 kometa.list %buildroot%aptdir

%files
"/etc/skel/.config/inkscape/preferences.xml"
"/etc/skel/.config/chromium/Default/Preferences"
"/etc/skel/.config/libreoffice/4/user/registrymodifications.xcu"
"/etc/skel/.local/share/OpenBoard/OpenBoardUser.config"
"/etc/skel/Рабочий стол/Home.desktop"
"/etc/skel/Рабочий стол/trash.desktop"
"/etc/skel/Рабочий стол/Документ.ott"
"/etc/skel/Рабочий стол/Презентация.otp"
"/etc/skel/Рабочий стол/Таблица.ots"
"/usr/lib/rpm/brandicons.filetrigger"
"/usr/lib/rpm/previewplugins.filetrigger"
"/usr/lib/rpm/PlasmaFavorites.filetrigger"
"/etc/apt/sources.list.d/kometa.list"

%changelog
* Mon Mar 14 2022 Mikhail Novosyolov <mikhailnov@altlinux.org> 1.9-kometa1
- Added filetrigger to change default favourite application in classical KDE menu

* Fri Mar 11 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.8-kometa1
- OpenBoard settings

* Wed Mar 02 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.7-kometa1
- LibreOffice VerticalRuler

* Mon Feb 28 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.6-kometa1
- Kometa repo

* Fri Feb 25 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.5-kometa1
- kdeglobals -> kometa-xdg
- Disable presenter console LO Impress

* Thu Feb 22 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.4-kometa1
- Docs -> kometa-docdir

* Thu Feb 17 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.3-kometa1
- KDE5 preview plugins

* Wed Feb 16 2022 Artem Proskurnev <tema@proskurnevs.ru> 1.2-kometa1
- Chromium - default

* Wed Dec 29 2021 Artem Proskurnev <tema@proskurnevs.ru> 1.1-kometa1
- Change Inkscape deafult theme. In a standard theme, icons are not visible on a dark background. Chromium <- yandex.ru

* Fri Dec 17 2021 Artem Proskurnev <tema@proskurnevs.ru> 1.0-kometa2
- Only desktop icons + filetrigger kometa -> basealt, altlinux

* Thu Oct 21 2021 1.0-kometa1
- Dolphin, single click, ru/us == РУС/АНГ, Num Lock

* Mon Nov 02 2020 1.0-kometa0
- initial build
